package com.bytedance.android.live.toolbar;

import X.AnonymousClass0UT;
import X.AnonymousClass155;
import X.AnonymousClass15B;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;

public interface IToolbarService extends AnonymousClass0UT {
    static {
        Covode.recordClassIndex(10662);
    }

    Class<? extends LiveRecyclableWidget> audienceToolbarWidget();

    Class<? extends LiveRecyclableWidget> broadcastToolbarWidget();

    void preloadAudienceToolbarWidget();

    void preloadBroadcastToolbarWidget();

    void preloadToolbarButton(Context context);

    void preloadToolbarView(Context context, int i, AnonymousClass15B r3);

    void releaseToolbarView();

    AnonymousClass155 toolbarManager(DataChannel dataChannel);
}
